Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface ProtegeKnowledgeBase

All Superinterfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.model.KnowledgeBase

All Known Subinterfaces:
  OWLModel

All Known Implementing Classes:
  AbstractOWLModel, JenaOWLModel, OWLDatabaseModel

    public interface ProtegeKnowledgeBase

extends edu.stanford.smi.protege.model.KnowledgeBase

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`MAXIMUM_CARDINALITY_UNBOUNDED, UNLIMITED_MATCHES`

Method Summary
`void` | `addClsListener(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `addClsListener(edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)` Deprecated.
`void` | `addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superslot)` Deprecated.
`void` | `addDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `addDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls directType)` Deprecated.
`void` | `addFacetListener(edu.stanford.smi.protege.model.Facet facet, edu.stanford.smi.protege.event.FacetListener listener)` Deprecated. not needed
`void` | `addFacetListener(edu.stanford.smi.protege.event.FacetListener listener)` Deprecated. not needed
`void` | `addFrameListener(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.event.FrameListener listener)` Deprecated. not needed
`void` | `addFrameListener(edu.stanford.smi.protege.event.FrameListener listener)` Deprecated.
`void` | `addInstance(edu.stanford.smi.protege.model.Instance instance, String name, edu.stanford.smi.protege.model.Cls type, boolean isNew)` Deprecated.
`void` | `addInstanceListener(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`void` | `addInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`void` | `addKnowledgeBaseListener(edu.stanford.smi.protege.event.KnowledgeBaseListener listener)` Deprecated.
`void` | `addOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`void` | `addSlotListener(edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`void` | `addSlotListener(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`void` | `addTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. not supported in OWL
`void` | `addTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. not supported in OWL
`boolean` | `areValidOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. this method is based on facets which are not supported in OWL
`void` | `clearAllListeners()` Deprecated. whatever this does
`boolean` | `containsFrame(String name)` Deprecated. not needed
`edu.stanford.smi.protege.model.Cls` | `createCls(edu.stanford.smi.protege.model.FrameID id, Collection parents, Collection metaClses, boolean initializeDefaults)` Deprecated. not needed in OWL
`edu.stanford.smi.protege.model.Cls` | `createCls(String name, Collection parents)` Deprecated.
`edu.stanford.smi.protege.model.Cls` | `createCls(String name, Collection parents, edu.stanford.smi.protege.model.Cls metaCls)` Deprecated.
`edu.stanford.smi.protege.model.Cls` | `createCls(String name, Collection parents, edu.stanford.smi.protege.model.Cls metaCls, boolean initializeDefaults)` Deprecated. not needed in OWL
`edu.stanford.smi.protege.model.Facet` | `createFacet(String name)` Deprecated. no OWL equivalent
`edu.stanford.smi.protege.model.Facet` | `createFacet(String name, edu.stanford.smi.protege.model.Cls metaCls)`
`edu.stanford.smi.protege.model.Facet` | `createFacet(String name, edu.stanford.smi.protege.model.Cls metaCls, boolean initializeDefaults)` Deprecated. no OWL equivalent
`edu.stanford.smi.protege.model.Instance` | `createInstance(edu.stanford.smi.protege.model.FrameID id, edu.stanford.smi.protege.model.Cls directType, boolean initializeDefaults)` Deprecated. not needed
`edu.stanford.smi.protege.model.Instance` | `createInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, boolean initializeDefaults)` Deprecated. not needed
`edu.stanford.smi.protege.model.Instance` | `createInstance(String name, edu.stanford.smi.protege.model.Cls directType)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `createInstance(String name, edu.stanford.smi.protege.model.Cls directType, boolean initializeDefaults)` Deprecated. not needed
`edu.stanford.smi.protege.model.SimpleInstance` | `createSimpleInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, boolean initializeDefaults)` Deprecated.
`edu.stanford.smi.protege.model.Slot` | `createSlot(String name)` Deprecated.
`edu.stanford.smi.protege.model.Slot` | `createSlot(String name, edu.stanford.smi.protege.model.Cls metaCls)` Deprecated.
`edu.stanford.smi.protege.model.Slot` | `createSlot(String name, edu.stanford.smi.protege.model.Cls metaCls, boolean initializeDefaults)` Deprecated. not needed
`edu.stanford.smi.protege.model.Slot` | `createSlot(String name, edu.stanford.smi.protege.model.Cls metaCls, Collection superslots, boolean initializeDefaults)` Deprecated.
`void` | `deleteCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `deleteFacet(edu.stanford.smi.protege.model.Facet facet)` Deprecated. not needed in OWL
`void` | `deleteFrame(edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`void` | `deleteInstance(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`void` | `deleteSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getAllowedClses(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getAllowedParents(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getAllowedValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `getAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`edu.stanford.smi.protege.model.Facet` | `getAssociatedFacet(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.Slot` | `getAssociatedSlot(edu.stanford.smi.protege.model.Facet facet)` Deprecated. not needed
`String` | `getBrowserText(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`edu.stanford.smi.protege.model.Cls` | `getCls(String name)` Deprecated.
`int` | `getClsCount()` Deprecated.
`Collection` | `getClses()` Deprecated.
`Collection` | `getClsNameMatches(String s, int maxMatches)` Get classes whose name matches the give string.
`edu.stanford.smi.protege.model.CommandManager` | `getCommandManager()` Deprecated. not needed
`Collection` | `getCurrentUsers()` Deprecated. not needed
`edu.stanford.smi.protege.model.Cls` | `getDefaultClsMetaCls()` Deprecated.
`edu.stanford.smi.protege.model.Cls` | `getDefaultFacetMetaCls()` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.Cls` | `getDefaultSlotMetaCls()` Deprecated.
`Collection` | `getDefaultValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.BrowserSlotPattern` | `getDirectBrowserSlotPattern(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getDirectDomain(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`int` | `getDirectInstanceCount(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getDirectInstances(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getDirectlyOverriddenTemplateFacets(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getDirectlyOverriddenTemplateSlots(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not supported in OWL
`Object` | `getDirectOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`List` | `getDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Set` | `getDirectOwnSlotValuesClosure(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`int` | `getDirectSubclassCount(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getDirectSubclasses(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`int` | `getDirectSubslotCount(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getDirectSubslots(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`int` | `getDirectSuperclassCount(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getDirectSuperclasses(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`int` | `getDirectSuperslotCount(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getDirectSuperslots(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`List` | `getDirectTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`Collection` | `getDirectTemplateSlots(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`List` | `getDirectTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.Cls` | `getDirectType(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`Collection` | `getDirectTypes(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`Collection` | `getDocumentation(edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`Collection` | `getDomain(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`edu.stanford.smi.protege.model.Facet` | `getFacet(String name)` Deprecated. not supported in OWL
`int` | `getFacetCount()` Deprecated. not supported in OWL
`Collection` | `getFacets()` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.Frame` | `getFrame(edu.stanford.smi.protege.model.FrameID id)` Deprecated. not needed
`edu.stanford.smi.protege.model.Frame` | `getFrame(String name)` Deprecated.
`int` | `getFrameCount()` Deprecated.
`edu.stanford.smi.protege.model.FrameCounts` | `getFrameCounts()` Deprecated. not needed
`String` | `getFrameCreationTimestamp(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`String` | `getFrameCreator(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`edu.stanford.smi.protege.model.FrameFactory` | `getFrameFactory()` Deprecated.
`String` | `getFrameLastModificationTimestamp(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`String` | `getFrameLastModifier(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`Collection` | `getFrameNameMatches(String s, int maxMatches)` Deprecated.
`String` | `getFrameNamePrefix()` Deprecated. not supported in OWL
`Collection` | `getFrames()` Deprecated.
`List` | `getFrameStores()` Deprecated. internal Protege detail
`Collection` | `getFramesWithValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, boolean isTemplate, Object value)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `getInstance(String fullname)` Deprecated.
`int` | `getInstanceCount(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getInstances()` Deprecated.
`Collection` | `getInstances(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`String` | `getInvalidFrameNameDescription(String s, edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`String` | `getInvalidOwnSlotValuesText(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported
`String` | `getInvalidOwnSlotValueText(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. not supported
`edu.stanford.smi.protege.model.Slot` | `getInverseSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getMatchingFrames(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, boolean isTemplate, String matchString, int maxMatches)` Deprecated.
`Collection` | `getMatchingReferences(String s, int maxReferences)` Deprecated.
`int` | `getMaximumCardinality(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Number` | `getMaximumValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`int` | `getMinimumCardinality(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Number` | `getMinimumValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`String` | `getName()` Deprecated. not needed
`String` | `getName(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`edu.stanford.smi.protege.model.Slot` | `getNameSlot()` Deprecated. not supported in OWL
`int` | `getNextFrameNumber()` Deprecated. not needed
`Collection` | `getOverriddenTemplateFacets(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`boolean` | `getOwnSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`Collection` | `getOwnSlotAndSubslotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getOwnSlotDefaultValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getOwnSlotFacets(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getOwnSlotFacetValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`Collection` | `getOwnSlots(edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`Object` | `getOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`int` | `getOwnSlotValueCount(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`edu.stanford.smi.protege.model.ValueType` | `getOwnSlotValueType(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`edu.stanford.smi.protege.model.Project` | `getProject()` Gets the Protege project of this.
`Collection` | `getReachableSimpleInstances(Collection roots)` Deprecated. not needed
`Collection` | `getReferences(Object o, int maxReferences)` Deprecated.
`Collection` | `getRootClses()` Deprecated. not needed
`edu.stanford.smi.protege.model.Cls` | `getRootClsMetaCls()` Deprecated. not needed
`edu.stanford.smi.protege.model.Cls` | `getRootFacetMetaCls()` Deprecated. not needed
`edu.stanford.smi.protege.model.Cls` | `getRootSlotMetaCls()` Deprecated. not needed
`Collection` | `getRootSlots()` Deprecated. not needed
`int` | `getSimpleInstanceCount()` Deprecated. not needed
`edu.stanford.smi.protege.model.Slot` | `getSlot(String name)` Deprecated.
`int` | `getSlotCount()` Deprecated. not needed
`Collection` | `getSlots()` Deprecated.
`String` | `getSlotValueLastModificationTimestamp(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, boolean isTemplate)` Deprecated. not needed
`String` | `getSlotValueLastModifier(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, boolean isTemplate)` Deprecated. not needed
`Collection` | `getSubclasses(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getSubslots(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getSuperclasses(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Collection` | `getSuperslots(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getTemplateFacets(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Object` | `getTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`Collection` | `getTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`boolean` | `getTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`int` | `getTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Number` | `getTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`int` | `getTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Number` | `getTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlots(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`Object` | `getTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.ValueType` | `getTemplateSlotValueType(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`Collection` | `getUnreachableSimpleInstances(Collection roots)` Deprecated. not needed
`String` | `getUserName()` Deprecated. not needed
`boolean` | `getValueChecking()` Deprecated. not needed
`Collection` | `getValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`edu.stanford.smi.protege.model.ValueType` | `getValueType(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`String` | `getVersionString()` Deprecated. not needed
`boolean` | `hasDirectlyOverriddenTemplateFacet(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`boolean` | `hasDirectlyOverriddenTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`boolean` | `hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)` Deprecated. not needed
`boolean` | `hasDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superslot)` Deprecated. not needed
`boolean` | `hasDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `hasDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`boolean` | `hasInheritedTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `hasOverriddenTemplateFacet(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`boolean` | `hasOverriddenTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`boolean` | `hasOwnSlot(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed (get domain of rdf:type instead)
`boolean` | `hasSlotValueAtSomeFrame(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`boolean` | `hasSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)` Deprecated.
`boolean` | `hasSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superslot)` Deprecated. not needed
`boolean` | `hasTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `hasType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `insertFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore newFrameStore)` Deprecated. internal Protege detail
`void` | `insertFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore newFrameStore, int position)` Deprecated. internal Protege detail
`boolean` | `isAbstract(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not supported in OWL
`boolean` | `isAutoUpdatingFacetValues()` Deprecated. not supported in OWL
`boolean` | `isCallCachingEnabled()` Deprecated. not needed
`boolean` | `isClsMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isDefaultClsMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isDefaultFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isDefaultSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isJournalingEnabled()` Deprecated. not needed
`boolean` | `isLoading()` Deprecated. not needed
`boolean` | `isMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isValidFrameName(String s, edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`boolean` | `isValidOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. not supported in OWL
`void` | `moveDirectSubclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls subclass, edu.stanford.smi.protege.model.Cls afterclass)` Deprecated. not supported in OWL
`void` | `moveDirectSubslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot subslot, edu.stanford.smi.protege.model.Slot afterSlot)` Deprecated. not supported in OWL
`void` | `moveDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, int toIndex)` Deprecated. not supported in OWL
`void` | `notifyVisibilityChanged(edu.stanford.smi.protege.model.Frame frame)` Deprecated. not needed
`void` | `removeClsListener(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `removeClsListener(edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)` Deprecated.
`void` | `removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superslot)` Deprecated.
`void` | `removeDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `removeDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls directType)` Deprecated.
`void` | `removeFacetListener(edu.stanford.smi.protege.model.Facet facet, edu.stanford.smi.protege.event.FacetListener listener)` Deprecated. not needed
`void` | `removeFacetListener(edu.stanford.smi.protege.event.FacetListener listener)` Deprecated. not needed
`void` | `removeFrameListener(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.event.FrameListener listener)` Deprecated. not needed
`void` | `removeFrameListener(edu.stanford.smi.protege.event.FrameListener listener)` Deprecated.
`void` | `removeFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore frameStore)` Deprecated. internal Protege detail
`void` | `removeInstanceListener(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`void` | `removeInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`void` | `removeJavaLoadPackage(String path)` Deprecated. not needed
`void` | `removeKnowledgeBaseListener(edu.stanford.smi.protege.event.KnowledgeBaseListener listener)` Deprecated.
`void` | `removeOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`void` | `removeSlotListener(edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`void` | `removeSlotListener(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`void` | `removeTemplateFacetOverrides(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not supported in OWL
`void` | `setAbstract(edu.stanford.smi.protege.model.Cls cls, boolean isAbstract)` Deprecated. not supported in OWL
`void` | `setAllowedClses(edu.stanford.smi.protege.model.Slot slot, Collection clses)` Deprecated.
`void` | `setAllowedParents(edu.stanford.smi.protege.model.Slot slot, Collection parents)` Deprecated. not supported in OWL
`void` | `setAllowedValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported in OWL
`void` | `setAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot, boolean allowsMultiple)` Deprecated.
`boolean` | `setArgumentCheckingEnabled(boolean enabled)` Deprecated. not needed
`void` | `setAssociatedFacet(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not supported in OWL
`void` | `setAssociatedSlot(edu.stanford.smi.protege.model.Facet facet, edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`void` | `setAutoUpdateFacetValues(boolean b)` Deprecated. not supported in OWL
`void` | `setBuildString(String s)` Deprecated. not needed
`boolean` | `setCallCachingEnabled(boolean enabled)` Deprecated. not needed
`void` | `setChanged(boolean b)` Deprecated. not needed
`boolean` | `setChangeMonitorEnabled(boolean enabled)` Deprecated. not needed
`boolean` | `setCleanDispatchEnabled(boolean enabled)` Deprecated. not needed
`void` | `setDefaultClsMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`void` | `setDefaultFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`void` | `setDefaultSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`void` | `setDefaultValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported in OWL
`void` | `setDirectBrowserSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.BrowserSlotPattern pattern)` Deprecated.
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `setDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `setDirectTypeOfSubclasses(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls type)` Deprecated. not needed
`void` | `setDirectTypeOfSubslots(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Cls type)` Deprecated. not needed
`edu.stanford.smi.protege.model.Instance` | `setDirectTypes(edu.stanford.smi.protege.model.Instance instance, Collection types)` Deprecated.
`void` | `setDocumentation(edu.stanford.smi.protege.model.Frame frame, Collection text)` Deprecated.
`void` | `setDocumentation(edu.stanford.smi.protege.model.Frame frame, String text)` Deprecated.
`boolean` | `setFacetCheckingEnabled(boolean enabled)` Deprecated. not needed
`void` | `setFrameFactory(edu.stanford.smi.protege.model.FrameFactory factory)` Deprecated.
`void` | `setFrameNamePrefix(String name)` Deprecated. not needed
`void` | `setFrameNameValidator(edu.stanford.smi.protege.model.FrameNameValidator validator)` Deprecated. not needed
`boolean` | `setGenerateDeletingFrameEventsEnabled(boolean enabled)` Deprecated. not needed
`void` | `setInverseSlot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot inverseSlot)` Deprecated.
`boolean` | `setJournalingEnabled(boolean enabled)` Deprecated. not needed
`void` | `setMaximumCardinality(edu.stanford.smi.protege.model.Slot slot, int max)` Deprecated.
`void` | `setMaximumValue(edu.stanford.smi.protege.model.Slot slot, Number max)` Deprecated. not supported in OWL
`void` | `setMinimumCardinality(edu.stanford.smi.protege.model.Slot slot, int max)` Deprecated. not supported in OWL
`void` | `setMinimumValue(edu.stanford.smi.protege.model.Slot slot, Number min)` Deprecated. not supported in OWL
`void` | `setName(String name)` Deprecated. not needed
`void` | `setNextFrameNumber(int i)` Deprecated. not needed
`void` | `setOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated.
`void` | `setPollForEvents(boolean enabled)` Deprecated. not needed
`void` | `setProject(edu.stanford.smi.protege.model.Project project)`
`void` | `setTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. not supported by OWL
`void` | `setTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Collection values)` Deprecated. not supported by OWL
`void` | `setTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported by OWL
`void` | `setTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported by OWL
`void` | `setTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported by OWL
`void` | `setTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, boolean allowsMultiple)` Deprecated. not supported by OWL
`void` | `setTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported by OWL
`void` | `setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection docs)` Deprecated. not supported by OWL
`void` | `setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, String doc)` Deprecated. not supported by OWL
`void` | `setTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, int value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Number value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, int value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Number value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection value)` Deprecated. not supported by OWL
`void` | `setTemplateSlotValueType(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.ValueType type)` Deprecated. not supported by OWL
`boolean` | `setUndoEnabled(boolean enabled)`
`void` | `setValueChecking(boolean b)` Deprecated. not needed
`void` | `setValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not supported in OWL
`void` | `setValueType(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.ValueType type)` Deprecated.
`void` | `setVersionString(String s)` Deprecated. not needed
`void` | `startJournaling(URI uri)` Deprecated. not needed
`void` | `stopJournaling()` Deprecated. not needed

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`addJavaLoadPackage, addServerProjectListener, addTransactionListener, assertFrameName, beginTransaction, beginTransaction, commitTransaction, createInstance, createUniqueFrameName, endTransaction, endTransaction, executeQuery, flushCache, flushEvents, getBuildString, getClientInformation, getClsesWithMatchingBrowserText, getDispatchEventsEnabled, getEventsEnabled, getFrameStoreManager, getGenerateEventsEnabled, getKnowledgeBaseFactory, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getSimpleInstance, getSystemFrames, hasChanged, isClosed, isUndoEnabled, moveDirectOwnSlotValue, moveDirectType, removeServerProjectListener, removeTransactionListener, rename, rollbackTransaction, setClientInformation, setDispatchEventsEnabled, setEventsEnabled, setGenerateEventsEnabled, setModificationRecordUpdatingEnabled`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### addClsListener

    @Deprecated
    void addClsListener(edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `addClsListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.addClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### addClsListener

    @Deprecated
    void addClsListener(edu.stanford.smi.protege.model.Cls cls,
                                   edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `addClsListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.addClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### addFrameListener

    @Deprecated
    void addFrameListener(edu.stanford.smi.protege.model.Frame frame,
                                     edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated. not needed

  Specified by:
    `addFrameListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.addPropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### addFrameListener

    @Deprecated
    void addFrameListener(edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated.

  Specified by:
    `addFrameListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.addPropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### addInstanceListener

    @Deprecated
    void addInstanceListener(edu.stanford.smi.protege.model.Instance instance,
                                        edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `addInstanceListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.addResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### addInstanceListener

    @Deprecated
    void addInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `addInstanceListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.addResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### addKnowledgeBaseListener

    @Deprecated
    void addKnowledgeBaseListener(edu.stanford.smi.protege.event.KnowledgeBaseListener listener)

  Deprecated.

  Specified by:
    `addKnowledgeBaseListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.addModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### addSlotListener

    @Deprecated
    void addSlotListener(edu.stanford.smi.protege.model.Slot slot,
                                    edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `addSlotListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.addPropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### addSlotListener

    @Deprecated
    void addSlotListener(edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `addSlotListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.addPropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### areValidOwnSlotValues

    @Deprecated
    boolean areValidOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                             edu.stanford.smi.protege.model.Slot slot,
                                             Collection values)

  Deprecated. this method is based on facets which are not supported in OWL

  Specified by:
    `areValidOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### containsFrame

    @Deprecated
    boolean containsFrame(String name)

  Deprecated. not needed

  Specified by:
    `containsFrame` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls createCls(String name,
                                                            Collection parents)

  Deprecated.

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.createRDFSNamedClass(java.lang.String)`, `OWLModel.createOWLNamedClass(java.lang.String)`

### createCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls createCls(String name,
                                                            Collection parents,
                                                            edu.stanford.smi.protege.model.Cls metaCls)

  Deprecated.

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### createCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls createCls(String name,
                                                            Collection parents,
                                                            edu.stanford.smi.protege.model.Cls metaCls,
                                                            boolean initializeDefaults)

  Deprecated. not needed in OWL

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls createCls(edu.stanford.smi.protege.model.FrameID id,
                                                            Collection parents,
                                                            Collection metaClses,
                                                            boolean initializeDefaults)

  Deprecated. not needed in OWL

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createFacet

    @Deprecated
    edu.stanford.smi.protege.model.Facet createFacet(String name)

  Deprecated. no OWL equivalent

  Specified by:
    `createFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createFacet

    edu.stanford.smi.protege.model.Facet createFacet(String name,
                                                     edu.stanford.smi.protege.model.Cls metaCls)

  Specified by:
    `createFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Parameters:
    `name` - Pass null to cause the system to generate a name

### createFacet

    @Deprecated
    edu.stanford.smi.protege.model.Facet createFacet(String name,
                                                                edu.stanford.smi.protege.model.Cls metaCls,
                                                                boolean initializeDefaults)

  Deprecated. no OWL equivalent

  Specified by:
    `createFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createInstance

    @Deprecated
    edu.stanford.smi.protege.model.Instance createInstance(String name,
                                                                      edu.stanford.smi.protege.model.Cls directType)

  Deprecated.

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### createInstance

    @Deprecated
    edu.stanford.smi.protege.model.Instance createInstance(String name,
                                                                      edu.stanford.smi.protege.model.Cls directType,
                                                                      boolean initializeDefaults)

  Deprecated. not needed

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createInstance

    @Deprecated
    edu.stanford.smi.protege.model.Instance createInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                      edu.stanford.smi.protege.model.Cls directType,
                                                                      boolean initializeDefaults)

  Deprecated. not needed

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createInstance

    @Deprecated
    edu.stanford.smi.protege.model.Instance createInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                      Collection directTypes,
                                                                      boolean initializeDefaults)

  Deprecated. not needed

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createSimpleInstance

    @Deprecated
    edu.stanford.smi.protege.model.SimpleInstance createSimpleInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                                  Collection directTypes,
                                                                                  boolean initializeDefaults)

  Deprecated.

  Specified by:
    `createSimpleInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### createSlot

    @Deprecated
    edu.stanford.smi.protege.model.Slot createSlot(String name)

  Deprecated.

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.createRDFProperty(java.lang.String)`, `OWLModel.createOWLDatatypeProperty(java.lang.String)`, `OWLModel.createOWLObjectProperty(java.lang.String)`

### createSlot

    @Deprecated
    edu.stanford.smi.protege.model.Slot createSlot(String name,
                                                              edu.stanford.smi.protege.model.Cls metaCls)

  Deprecated.

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### createSlot

    @Deprecated
    edu.stanford.smi.protege.model.Slot createSlot(String name,
                                                              edu.stanford.smi.protege.model.Cls metaCls,
                                                              boolean initializeDefaults)

  Deprecated. not needed

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### createSlot

    @Deprecated
    edu.stanford.smi.protege.model.Slot createSlot(String name,
                                                              edu.stanford.smi.protege.model.Cls metaCls,
                                                              Collection superslots,
                                                              boolean initializeDefaults)

  Deprecated.

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.createSubproperty(java.lang.String, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### deleteCls

    @Deprecated
    void deleteCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `deleteCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.delete()`

### deleteFacet

    @Deprecated
    void deleteFacet(edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not needed in OWL

  Specified by:
    `deleteFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### deleteFrame

    @Deprecated
    void deleteFrame(edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Specified by:
    `deleteFrame` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.delete()`

### deleteInstance

    @Deprecated
    void deleteInstance(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

  Specified by:
    `deleteInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.delete()`

### deleteSlot

    @Deprecated
    void deleteSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `deleteSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.delete()`

### getCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getCls(String name)

  Deprecated.

  Specified by:
    `getCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFSNamedClass(java.lang.String)`

### getClsCount

    @Deprecated
    int getClsCount()

  Deprecated.

  Specified by:
    `getClsCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFSClassCount()`

### getClses

    @Deprecated
    Collection getClses()

  Deprecated.

  Specified by:
    `getClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFSClasses()`

### getClsNameMatches

    Collection getClsNameMatches(String s,
                                 int maxMatches)

  Get classes whose name matches the give string. This string allows "*" for "match any sequence" of characters. The string is not a regular expression. The matching is case-insensitive.

  Specified by:
    `getClsNameMatches` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDefaultClsMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getDefaultClsMetaCls()

  Deprecated.

  Specified by:
    `getDefaultClsMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDefaultFacetMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getDefaultFacetMetaCls()

  Deprecated. not supported in OWL

  Specified by:
    `getDefaultFacetMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDefaultSlotMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getDefaultSlotMetaCls()

  Deprecated.

  Specified by:
    `getDefaultSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFacet

    @Deprecated
    edu.stanford.smi.protege.model.Facet getFacet(String name)

  Deprecated. not supported in OWL

  Specified by:
    `getFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFacetCount

    @Deprecated
    int getFacetCount()

  Deprecated. not supported in OWL

  Specified by:
    `getFacetCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFacets

    @Deprecated
    Collection getFacets()

  Deprecated. not supported in OWL

  Specified by:
    `getFacets` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Returns:

### getFrame

    @Deprecated
    edu.stanford.smi.protege.model.Frame getFrame(String name)

  Deprecated.

  Specified by:
    `getFrame` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResource(java.lang.String)`

### getFrame

    @Deprecated
    edu.stanford.smi.protege.model.Frame getFrame(edu.stanford.smi.protege.model.FrameID id)

  Deprecated. not needed

  Specified by:
    `getFrame` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameCount

    @Deprecated
    int getFrameCount()

  Deprecated.

  Specified by:
    `getFrameCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResourceCount()`

### getFrameCreationTimestamp

    @Deprecated
    String getFrameCreationTimestamp(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getFrameCreationTimestamp` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameCreator

    @Deprecated
    String getFrameCreator(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getFrameCreator` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameLastModificationTimestamp

    @Deprecated
    String getFrameLastModificationTimestamp(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getFrameLastModificationTimestamp` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameLastModifier

    @Deprecated
    String getFrameLastModifier(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getFrameLastModifier` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameNameMatches

    @Deprecated
    Collection getFrameNameMatches(String s,
                                              int maxMatches)

  Deprecated.

  Specified by:
    `getFrameNameMatches` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getResourceNameMatches(java.lang.String, int)`

### getFrameNamePrefix

    @Deprecated
    String getFrameNamePrefix()

  Deprecated. not supported in OWL

  Specified by:
    `getFrameNamePrefix` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrames

    @Deprecated
    Collection getFrames()

  Deprecated.

  Specified by:
    `getFrames` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResources()`

### getFramesWithValue

    @Deprecated
    Collection getFramesWithValue(edu.stanford.smi.protege.model.Slot slot,
                                             edu.stanford.smi.protege.model.Facet facet,
                                             boolean isTemplate,
                                             Object value)

  Deprecated.

  Specified by:
    `getFramesWithValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResourcesWithPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### getInstance

    @Deprecated
    edu.stanford.smi.protege.model.Instance getInstance(String fullname)

  Deprecated.

  Specified by:
    `getInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResource(java.lang.String)`

### getInstances

    @Deprecated
    Collection getInstances()

  Deprecated.

  Specified by:
    `getInstances` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFResources()`

### getInstances

    @Deprecated
    Collection getInstances(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getInstances` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getInstances(boolean)`

### getInvalidOwnSlotValuesText

    @Deprecated
    String getInvalidOwnSlotValuesText(edu.stanford.smi.protege.model.Frame frame,
                                                  edu.stanford.smi.protege.model.Slot slot,
                                                  Collection values)

  Deprecated. not supported

  Specified by:
    `getInvalidOwnSlotValuesText` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getInvalidOwnSlotValueText

    @Deprecated
    String getInvalidOwnSlotValueText(edu.stanford.smi.protege.model.Frame frame,
                                                 edu.stanford.smi.protege.model.Slot slot,
                                                 Object value)

  Deprecated. not supported

  Specified by:
    `getInvalidOwnSlotValueText` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getMatchingFrames

    @Deprecated
    Collection getMatchingFrames(edu.stanford.smi.protege.model.Slot slot,
                                            edu.stanford.smi.protege.model.Facet facet,
                                            boolean isTemplate,
                                            String matchString,
                                            int maxMatches)

  Deprecated.

  Specified by:
    `getMatchingFrames` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getMatchingResources(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.String, int)`

### getName

    @Deprecated
    String getName()

  Deprecated. not needed

  Specified by:
    `getName` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getNextFrameNumber

    @Deprecated
    int getNextFrameNumber()

  Deprecated. not needed

  Specified by:
    `getNextFrameNumber` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getProject

    edu.stanford.smi.protege.model.Project getProject()

  Gets the Protege project of this.

  Specified by:
    `getProject` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Returns:
    the Protege project

### getReachableSimpleInstances

    @Deprecated
    Collection getReachableSimpleInstances(Collection roots)

  Deprecated. not needed

  Specified by:
    `getReachableSimpleInstances` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getReferences

    @Deprecated
    Collection getReferences(Object o,
                                        int maxReferences)

  Deprecated.

  Specified by:
    `getReferences` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.listReferences(java.lang.Object, int)`

### getMatchingReferences

    @Deprecated
    Collection getMatchingReferences(String s,
                                                int maxReferences)

  Deprecated.

  Specified by:
    `getMatchingReferences` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getRootClses

    @Deprecated
    Collection getRootClses()

  Deprecated. not needed

  Specified by:
    `getRootClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getRootClsMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getRootClsMetaCls()

  Deprecated. not needed

  Specified by:
    `getRootClsMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getRootFacetMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getRootFacetMetaCls()

  Deprecated. not needed

  Specified by:
    `getRootFacetMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getRootSlotMetaCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getRootSlotMetaCls()

  Deprecated. not needed

  Specified by:
    `getRootSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getRootSlots

    @Deprecated
    Collection getRootSlots()

  Deprecated. not needed

  Specified by:
    `getRootSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSlot

    @Deprecated
    edu.stanford.smi.protege.model.Slot getSlot(String name)

  Deprecated.

  Specified by:
    `getSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFProperty(java.lang.String)`

### getSlotCount

    @Deprecated
    int getSlotCount()

  Deprecated. not needed

  Specified by:
    `getSlotCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSlots

    @Deprecated
    Collection getSlots()

  Deprecated.

  Specified by:
    `getSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getRDFProperties()`

### getSlotValueLastModificationTimestamp

    @Deprecated
    String getSlotValueLastModificationTimestamp(edu.stanford.smi.protege.model.Frame frame,
                                                            edu.stanford.smi.protege.model.Slot slot,
                                                            boolean isTemplate)

  Deprecated. not needed

  Specified by:
    `getSlotValueLastModificationTimestamp` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSlotValueLastModifier

    @Deprecated
    String getSlotValueLastModifier(edu.stanford.smi.protege.model.Frame frame,
                                               edu.stanford.smi.protege.model.Slot slot,
                                               boolean isTemplate)

  Deprecated. not needed

  Specified by:
    `getSlotValueLastModifier` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSubclasses

    @Deprecated
    Collection getSubclasses(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getSubclasses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSubclasses(boolean)`

### getUnreachableSimpleInstances

    @Deprecated
    Collection getUnreachableSimpleInstances(Collection roots)

  Deprecated. not needed

  Specified by:
    `getUnreachableSimpleInstances` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getUserName

    @Deprecated
    String getUserName()

  Deprecated. not needed

  Specified by:
    `getUserName` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getVersionString

    @Deprecated
    String getVersionString()

  Deprecated. not needed

  Specified by:
    `getVersionString` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isAutoUpdatingFacetValues

    @Deprecated
    boolean isAutoUpdatingFacetValues()

  Deprecated. not supported in OWL

  Specified by:
    `isAutoUpdatingFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isClsMetaCls

    @Deprecated
    boolean isClsMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isClsMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isDefaultClsMetaCls

    @Deprecated
    boolean isDefaultClsMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isDefaultClsMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isDefaultFacetMetaCls

    @Deprecated
    boolean isDefaultFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isDefaultFacetMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isDefaultSlotMetaCls

    @Deprecated
    boolean isDefaultSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isDefaultSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isFacetMetaCls

    @Deprecated
    boolean isFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isFacetMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isLoading

    @Deprecated
    boolean isLoading()

  Deprecated. not needed

  Specified by:
    `isLoading` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isSlotMetaCls

    @Deprecated
    boolean isSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isValidOwnSlotValue

    @Deprecated
    boolean isValidOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                                           edu.stanford.smi.protege.model.Slot slot,
                                           Object value)

  Deprecated. not supported in OWL

  Specified by:
    `isValidOwnSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeClsListener

    @Deprecated
    void removeClsListener(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `removeClsListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.removeClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### removeClsListener

    @Deprecated
    void removeClsListener(edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `removeClsListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.removeClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### removeFrameListener

    @Deprecated
    void removeFrameListener(edu.stanford.smi.protege.model.Frame frame,
                                        edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated. not needed

  Specified by:
    `removeFrameListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeFrameListener

    @Deprecated
    void removeFrameListener(edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated.

  Specified by:
    `removeFrameListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.removePropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### removeJavaLoadPackage

    @Deprecated
    void removeJavaLoadPackage(String path)

  Deprecated. not needed

  Specified by:
    `removeJavaLoadPackage` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeKnowledgeBaseListener

    @Deprecated
    void removeKnowledgeBaseListener(edu.stanford.smi.protege.event.KnowledgeBaseListener listener)

  Deprecated.

  Specified by:
    `removeKnowledgeBaseListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.removeModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### removeInstanceListener

    @Deprecated
    void removeInstanceListener(edu.stanford.smi.protege.model.Instance instance,
                                           edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `removeInstanceListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### removeInstanceListener

    @Deprecated
    void removeInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `removeInstanceListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### removeSlotListener

    @Deprecated
    void removeSlotListener(edu.stanford.smi.protege.model.Slot slot,
                                       edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `removeSlotListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.removePropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### removeSlotListener

    @Deprecated
    void removeSlotListener(edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `removeSlotListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.removePropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### setAutoUpdateFacetValues

    @Deprecated
    void setAutoUpdateFacetValues(boolean b)

  Deprecated. not supported in OWL

  Specified by:
    `setAutoUpdateFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setBuildString

    @Deprecated
    void setBuildString(String s)

  Deprecated. not needed

  Specified by:
    `setBuildString` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setChanged

    @Deprecated
    void setChanged(boolean b)

  Deprecated. not needed

  Specified by:
    `setChanged` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDefaultClsMetaCls

    @Deprecated
    void setDefaultClsMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `setDefaultClsMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDefaultFacetMetaCls

    @Deprecated
    void setDefaultFacetMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `setDefaultFacetMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDefaultSlotMetaCls

    void setDefaultSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `setDefaultSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setUndoEnabled

    boolean setUndoEnabled(boolean enabled)

  Specified by:
    `setUndoEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setGenerateDeletingFrameEventsEnabled

    boolean setGenerateDeletingFrameEventsEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setGenerateDeletingFrameEventsEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setPollForEvents

    void setPollForEvents(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setPollForEvents` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setJournalingEnabled

    boolean setJournalingEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setJournalingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isJournalingEnabled

    boolean isJournalingEnabled()

  Deprecated. not needed

  Specified by:
    `isJournalingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setArgumentCheckingEnabled

    boolean setArgumentCheckingEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setArgumentCheckingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setChangeMonitorEnabled

    boolean setChangeMonitorEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setChangeMonitorEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setCleanDispatchEnabled

    boolean setCleanDispatchEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setCleanDispatchEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setFacetCheckingEnabled

    boolean setFacetCheckingEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setFacetCheckingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setFrameNamePrefix

    void setFrameNamePrefix(String name)

  Deprecated. not needed

  Specified by:
    `setFrameNamePrefix` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setName

    void setName(String name)

  Deprecated. not needed

  Specified by:
    `setName` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setNextFrameNumber

    void setNextFrameNumber(int i)

  Deprecated. not needed

  Specified by:
    `setNextFrameNumber` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setProject

    void setProject(edu.stanford.smi.protege.model.Project project)

  Specified by:
    `setProject` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setValueChecking

    void setValueChecking(boolean b)

  Deprecated. not needed

  Specified by:
    `setValueChecking` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setVersionString

    void setVersionString(String s)

  Deprecated. not needed

  Specified by:
    `setVersionString` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addOwnSlotValue

    void addOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                         edu.stanford.smi.protege.model.Slot slot,
                         Object value)

  Deprecated.

  Specified by:
    `addOwnSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.addPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### getDocumentation

    Collection getDocumentation(edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Specified by:
    `getDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getComments()`

### getName

    String getName(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getName` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getOwnSlotAllowsMultipleValues

    boolean getOwnSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Frame frame,
                                           edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getOwnSlotAndSubslotValues

    Collection getOwnSlotAndSubslotValues(edu.stanford.smi.protege.model.Frame frame,
                                          edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotAndSubslotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValues(RDFProperty, boolean)`

### getOwnSlotDefaultValues

    Collection getOwnSlotDefaultValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getOwnSlotDefaultValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getOwnSlotFacets

    Collection getOwnSlotFacets(edu.stanford.smi.protege.model.Frame frame,
                                edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getOwnSlotFacets` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getOwnSlotFacetValues

    Collection getOwnSlotFacetValues(edu.stanford.smi.protege.model.Frame frame,
                                     edu.stanford.smi.protege.model.Slot slot,
                                     edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `getOwnSlotFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getOwnSlots

    Collection getOwnSlots(edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Specified by:
    `getOwnSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPossibleRDFProperties()`

### getOwnSlotValues

    Collection getOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getDirectOwnSlotValue

    Object getDirectOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                                 edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectOwnSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getDirectOwnSlotValues

    List getDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getOwnSlotValue

    Object getOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                           edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getOwnSlotValueCount

    int getOwnSlotValueCount(edu.stanford.smi.protege.model.Frame frame,
                             edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValueCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getPropertyValueCount(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getOwnSlotValueType

    edu.stanford.smi.protege.model.ValueType getOwnSlotValueType(edu.stanford.smi.protege.model.Frame frame,
                                                                 edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotValueType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasOwnSlot

    boolean hasOwnSlot(edu.stanford.smi.protege.model.Frame frame,
                       edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed (get domain of rdf:type instead)

  Specified by:
    `hasOwnSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeOwnSlotValue

    void removeOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                            edu.stanford.smi.protege.model.Slot slot,
                            Object value)

  Deprecated.

  Specified by:
    `removeOwnSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.removePropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### setDocumentation

    void setDocumentation(edu.stanford.smi.protege.model.Frame frame,
                          String text)

  Deprecated.

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setComment(String)`

### setDocumentation

    void setDocumentation(edu.stanford.smi.protege.model.Frame frame,
                          Collection text)

  Deprecated.

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setComments(java.util.Collection)`

### setDirectOwnSlotValues

    void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                edu.stanford.smi.protege.model.Slot slot,
                                Collection values)

  Deprecated.

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### setOwnSlotValues

    void setOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                          edu.stanford.smi.protege.model.Slot slot,
                          Collection values)

  Deprecated.

  Specified by:
    `setOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### notifyVisibilityChanged

    void notifyVisibilityChanged(edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `notifyVisibilityChanged` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addFacetListener

    void addFacetListener(edu.stanford.smi.protege.event.FacetListener listener)

  Deprecated. not needed

  Specified by:
    `addFacetListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeFacetListener

    void removeFacetListener(edu.stanford.smi.protege.event.FacetListener listener)

  Deprecated. not needed

  Specified by:
    `removeFacetListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addFacetListener

    void addFacetListener(edu.stanford.smi.protege.model.Facet facet,
                          edu.stanford.smi.protege.event.FacetListener listener)

  Deprecated. not needed

  Specified by:
    `addFacetListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeFacetListener

    void removeFacetListener(edu.stanford.smi.protege.model.Facet facet,
                             edu.stanford.smi.protege.event.FacetListener listener)

  Deprecated. not needed

  Specified by:
    `removeFacetListener` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getAssociatedSlot

    edu.stanford.smi.protege.model.Slot getAssociatedSlot(edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not needed

  Specified by:
    `getAssociatedSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setAssociatedSlot

    void setAssociatedSlot(edu.stanford.smi.protege.model.Facet facet,
                           edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `setAssociatedSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addDirectSuperclass

    void addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                             edu.stanford.smi.protege.model.Cls superclass)

  Deprecated.

  Specified by:
    `addDirectSuperclass` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.addSuperclass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeDirectSuperclass

    void removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                                edu.stanford.smi.protege.model.Cls superclass)

  Deprecated.

  Specified by:
    `removeDirectSuperclass` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.removeSuperclass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addDirectTemplateSlot

    void addDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                               edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `addDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.addUnionDomainClass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeDirectTemplateSlot

    void removeDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                  edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `removeDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.removeUnionDomainClass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addTemplateFacetValue

    void addTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls,
                               edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Facet facet,
                               Object value)

  Deprecated. not supported in OWL

  Specified by:
    `addTemplateFacetValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addTemplateSlotValue

    void addTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls,
                              edu.stanford.smi.protege.model.Slot slot,
                              Object value)

  Deprecated. not supported in OWL

  Specified by:
    `addTemplateSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getNameSlot

    edu.stanford.smi.protege.model.Slot getNameSlot()

  Deprecated. not supported in OWL

  Specified by:
    `getNameSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDirectInstanceCount

    int getDirectInstanceCount(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectInstanceCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getInstanceCount(boolean)`

### getDirectInstances

    Collection getDirectInstances(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectInstances` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getInstances(boolean)`

### getDirectSubclassCount

    int getDirectSubclassCount(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectSubclassCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSubclassCount()`

### getDirectSubclasses

    Collection getDirectSubclasses(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectSubclasses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSubclasses(boolean)`

### getDirectSuperclassCount

    int getDirectSuperclassCount(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectSuperclassCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSuperclassCount()`

### getDirectSuperclasses

    Collection getDirectSuperclasses(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectSuperclasses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSuperclasses(boolean)`

### getDirectTemplateFacetValues

    List getDirectTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `getDirectTemplateFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDirectTemplateSlots

    Collection getDirectTemplateSlots(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectTemplateSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getUnionDomainProperties()`

### getDirectTemplateSlotValues

    List getDirectTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getDirectTemplateSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getInstanceCount

    int getInstanceCount(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getInstanceCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getInstanceCount(boolean)`

### getSimpleInstanceCount

    int getSimpleInstanceCount()

  Deprecated. not needed

  Specified by:
    `getSimpleInstanceCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSuperclasses

    Collection getSuperclasses(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getSuperclasses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getSuperclasses(boolean)`

### getTemplateFacets

    Collection getTemplateFacets(edu.stanford.smi.protege.model.Cls cls,
                                 edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateFacets` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateFacetValue

    Object getTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls,
                                 edu.stanford.smi.protege.model.Slot slot,
                                 edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateFacetValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateFacetValues

    Collection getTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotAllowedClses

    Collection getTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Cls cls,
                                           edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotAllowedClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotAllowedParents

    Collection getTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Cls cls,
                                             edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotAllowedParents` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotAllowedValues

    Collection getTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotAllowedValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotAllowsMultipleValues

    boolean getTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Cls cls,
                                                edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotDefaultValues

    Collection getTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotDefaultValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotDocumentation

    Collection getTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotMaximumCardinality

    int getTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Cls cls,
                                          edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotMaximumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotMaximumValue

    Number getTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Cls cls,
                                       edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotMaximumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotMinimumCardinality

    int getTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Cls cls,
                                          edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotMinimumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotMinimumValue

    Number getTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Cls cls,
                                       edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotMinimumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlots

    Collection getTemplateSlots(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getTemplateSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getUnionDomainProperties(boolean)`

### getTemplateSlotValue

    Object getTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls,
                                edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotValues

    Collection getTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTemplateSlotValueType

    edu.stanford.smi.protege.model.ValueType getTemplateSlotValueType(edu.stanford.smi.protege.model.Cls cls,
                                                                      edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getTemplateSlotValueType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasDirectlyOverriddenTemplateFacet

    boolean hasDirectlyOverriddenTemplateFacet(edu.stanford.smi.protege.model.Cls cls,
                                               edu.stanford.smi.protege.model.Slot slot,
                                               edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `hasDirectlyOverriddenTemplateFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasDirectlyOverriddenTemplateSlot

    boolean hasDirectlyOverriddenTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                              edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `hasDirectlyOverriddenTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDirectlyOverriddenTemplateSlots

    Collection getDirectlyOverriddenTemplateSlots(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not supported in OWL

  Specified by:
    `getDirectlyOverriddenTemplateSlots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDirectlyOverriddenTemplateFacets

    Collection getDirectlyOverriddenTemplateFacets(edu.stanford.smi.protege.model.Cls cls,
                                                   edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getDirectlyOverriddenTemplateFacets` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasDirectSuperclass

    boolean hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                                edu.stanford.smi.protege.model.Cls superclass)

  Deprecated. not needed

  Specified by:
    `hasDirectSuperclass` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasDirectSuperslot

    boolean hasDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Slot superslot)

  Deprecated. not needed

  Specified by:
    `hasDirectSuperslot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasSuperslot

    boolean hasSuperslot(edu.stanford.smi.protege.model.Slot slot,
                         edu.stanford.smi.protege.model.Slot superslot)

  Deprecated. not needed

  Specified by:
    `hasSuperslot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### moveDirectSubslot

    void moveDirectSubslot(edu.stanford.smi.protege.model.Slot slot,
                           edu.stanford.smi.protege.model.Slot subslot,
                           edu.stanford.smi.protege.model.Slot afterSlot)

  Deprecated. not supported in OWL

  Specified by:
    `moveDirectSubslot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### moveDirectTemplateSlot

    void moveDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                edu.stanford.smi.protege.model.Slot slot,
                                int toIndex)

  Deprecated. not supported in OWL

  Specified by:
    `moveDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasDirectTemplateSlot

    boolean hasDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                  edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `hasDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getUnionDomainProperties()`

### hasInheritedTemplateSlot

    boolean hasInheritedTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `hasInheritedTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFSClass.getUnionDomainProperties()`

### hasOverriddenTemplateSlot

    boolean hasOverriddenTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `hasOverriddenTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasOverriddenTemplateFacet

    boolean hasOverriddenTemplateFacet(edu.stanford.smi.protege.model.Cls cls,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `hasOverriddenTemplateFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### hasSuperclass

    boolean hasSuperclass(edu.stanford.smi.protege.model.Cls cls,
                          edu.stanford.smi.protege.model.Cls superclass)

  Deprecated.

  Specified by:
    `hasSuperclass` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `ProtegeCls.hasSuperclass(edu.stanford.smi.protege.model.Cls)`

### hasTemplateSlot

    boolean hasTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                            edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `hasTemplateSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isAbstract

    boolean isAbstract(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not supported in OWL

  Specified by:
    `isAbstract` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isMetaCls

    boolean isMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `isMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### moveDirectSubclass

    void moveDirectSubclass(edu.stanford.smi.protege.model.Cls cls,
                            edu.stanford.smi.protege.model.Cls subclass,
                            edu.stanford.smi.protege.model.Cls afterclass)

  Deprecated. not supported in OWL

  Specified by:
    `moveDirectSubclass` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeTemplateFacetOverrides

    void removeTemplateFacetOverrides(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `removeTemplateFacetOverrides` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setAbstract

    void setAbstract(edu.stanford.smi.protege.model.Cls cls,
                     boolean isAbstract)

  Deprecated. not supported in OWL

  Specified by:
    `setAbstract` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDirectTypeOfSubclasses

    void setDirectTypeOfSubclasses(edu.stanford.smi.protege.model.Cls cls,
                                   edu.stanford.smi.protege.model.Cls type)

  Deprecated. not needed

  Specified by:
    `setDirectTypeOfSubclasses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateFacetValue

    void setTemplateFacetValue(edu.stanford.smi.protege.model.Cls cls,
                               edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Facet facet,
                               Object value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateFacetValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateFacetValues

    void setTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls,
                                edu.stanford.smi.protege.model.Slot slot,
                                edu.stanford.smi.protege.model.Facet facet,
                                Collection values)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateFacetValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotAllowedClses

    void setTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot,
                                     Collection values)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotAllowedClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotAllowedParents

    void setTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Cls cls,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotAllowedParents` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotAllowedValues

    void setTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      Collection values)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotAllowedValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotAllowsMultipleValues

    void setTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Cls cls,
                                             edu.stanford.smi.protege.model.Slot slot,
                                             boolean allowsMultiple)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotDefaultValues

    void setTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      Collection values)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotDefaultValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotDocumentation

    void setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      String doc)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotDocumentation

    void setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Cls cls,
                                      edu.stanford.smi.protege.model.Slot slot,
                                      Collection docs)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotMaximumCardinality

    void setTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Cls cls,
                                           edu.stanford.smi.protege.model.Slot slot,
                                           int value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotMaximumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotMaximumValue

    void setTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot,
                                     Number value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotMaximumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotMinimumCardinality

    void setTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Cls cls,
                                           edu.stanford.smi.protege.model.Slot slot,
                                           int value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotMinimumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotMinimumValue

    void setTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot,
                                     Number value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotMinimumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotValue

    void setTemplateSlotValue(edu.stanford.smi.protege.model.Cls cls,
                              edu.stanford.smi.protege.model.Slot slot,
                              Object value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotValues

    void setTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls,
                               edu.stanford.smi.protege.model.Slot slot,
                               Collection value)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setTemplateSlotValueType

    void setTemplateSlotValueType(edu.stanford.smi.protege.model.Cls cls,
                                  edu.stanford.smi.protege.model.Slot slot,
                                  edu.stanford.smi.protege.model.ValueType type)

  Deprecated. not supported by OWL

  Specified by:
    `setTemplateSlotValueType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addInstance

    void addInstance(edu.stanford.smi.protege.model.Instance instance,
                     String name,
                     edu.stanford.smi.protege.model.Cls type,
                     boolean isNew)

  Deprecated.

  Specified by:
    `addInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### getBrowserText

    String getBrowserText(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getBrowserText()`

### getDirectType

    edu.stanford.smi.protege.model.Cls getDirectType(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

  Specified by:
    `getDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getProtegeType()`

### getDirectTypes

    Collection getDirectTypes(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

  Specified by:
    `getDirectTypes` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.getProtegeTypes()`

### hasDirectType

    boolean hasDirectType(edu.stanford.smi.protege.model.Instance instance,
                          edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `hasDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.hasProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### hasType

    boolean hasType(edu.stanford.smi.protege.model.Instance instance,
                    edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `hasType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.hasProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### setDirectType

    edu.stanford.smi.protege.model.Instance setDirectType(edu.stanford.smi.protege.model.Instance instance,
                                                          edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `setDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### setDirectTypes

    edu.stanford.smi.protege.model.Instance setDirectTypes(edu.stanford.smi.protege.model.Instance instance,
                                                           Collection types)

  Deprecated.

  Specified by:
    `setDirectTypes` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.setProtegeTypes(java.util.Collection)`

### addDirectSuperslot

    void addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                            edu.stanford.smi.protege.model.Slot superslot)

  Deprecated.

  Specified by:
    `addDirectSuperslot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.addSuperproperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getAllowedClses

    Collection getAllowedClses(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getAllowedClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getUnionRangeClasses()`

### getAllowedParents

    Collection getAllowedParents(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getAllowedParents` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getAllowedValues

    Collection getAllowedValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getAllowedValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getRange()`

### getAllowsMultipleValues

    boolean getAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.isFunctional()`

### getAssociatedFacet

    edu.stanford.smi.protege.model.Facet getAssociatedFacet(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getAssociatedFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDefaultValues

    Collection getDefaultValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getDefaultValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getDirectSubslotCount

    int getDirectSubslotCount(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectSubslotCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSubpropertyCount()`

### getDirectSubslots

    Collection getDirectSubslots(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectSubslots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSubproperties(boolean)`

### getDirectSuperslots

    Collection getDirectSuperslots(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectSuperslots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSuperproperties(boolean)`

### getDirectSuperslotCount

    int getDirectSuperslotCount(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectSuperslotCount` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSuperpropertyCount()`

### getInverseSlot

    edu.stanford.smi.protege.model.Slot getInverseSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getInverseSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getInverseProperty()`

### getMaximumCardinality

    int getMaximumCardinality(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getMaximumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.isFunctional()`

### getMaximumValue

    Number getMaximumValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getMaximumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getMinimumCardinality

    int getMinimumCardinality(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getMinimumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getMinimumValue

    Number getMinimumValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getMinimumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getSubslots

    Collection getSubslots(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getSubslots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSubproperties(boolean)`

### getSuperslots

    Collection getSuperslots(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getSuperslots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getSuperproperties(boolean)`

### getDirectDomain

    Collection getDirectDomain(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectDomain` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getUnionDomain()`

### getDomain

    Collection getDomain(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDomain` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getUnionDomain(boolean)`

### getValues

    Collection getValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getValueType

    edu.stanford.smi.protege.model.ValueType getValueType(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getValueType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.getRange()`

### hasSlotValueAtSomeFrame

    boolean hasSlotValueAtSomeFrame(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `hasSlotValueAtSomeFrame` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeDirectSuperslot

    void removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Slot superslot)

  Deprecated.

  Specified by:
    `removeDirectSuperslot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.removeSuperproperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### setAllowedClses

    void setAllowedClses(edu.stanford.smi.protege.model.Slot slot,
                         Collection clses)

  Deprecated.

  Specified by:
    `setAllowedClses` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.setUnionRangeClasses(java.util.Collection)`

### setAllowedParents

    void setAllowedParents(edu.stanford.smi.protege.model.Slot slot,
                           Collection parents)

  Deprecated. not supported in OWL

  Specified by:
    `setAllowedParents` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setAllowedValues

    void setAllowedValues(edu.stanford.smi.protege.model.Slot slot,
                          Collection values)

  Deprecated. not supported in OWL

  Specified by:
    `setAllowedValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setAllowsMultipleValues

    void setAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot,
                                 boolean allowsMultiple)

  Deprecated.

  Specified by:
    `setAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.setFunctional(boolean)`

### setAssociatedFacet

    void setAssociatedFacet(edu.stanford.smi.protege.model.Slot slot,
                            edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not supported in OWL

  Specified by:
    `setAssociatedFacet` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDefaultValues

    void setDefaultValues(edu.stanford.smi.protege.model.Slot slot,
                          Collection values)

  Deprecated. not supported in OWL

  Specified by:
    `setDefaultValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDirectTypeOfSubslots

    void setDirectTypeOfSubslots(edu.stanford.smi.protege.model.Slot slot,
                                 edu.stanford.smi.protege.model.Cls type)

  Deprecated. not needed

  Specified by:
    `setDirectTypeOfSubslots` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setInverseSlot

    void setInverseSlot(edu.stanford.smi.protege.model.Slot slot,
                        edu.stanford.smi.protege.model.Slot inverseSlot)

  Deprecated.

  Specified by:
    `setInverseSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.setInverseProperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### setMaximumCardinality

    void setMaximumCardinality(edu.stanford.smi.protege.model.Slot slot,
                               int max)

  Deprecated.

  Specified by:
    `setMaximumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.setFunctional(boolean)`

### setMaximumValue

    void setMaximumValue(edu.stanford.smi.protege.model.Slot slot,
                         Number max)

  Deprecated. not supported in OWL

  Specified by:
    `setMaximumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setMinimumCardinality

    void setMinimumCardinality(edu.stanford.smi.protege.model.Slot slot,
                               int max)

  Deprecated. not supported in OWL

  Specified by:
    `setMinimumCardinality` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setMinimumValue

    void setMinimumValue(edu.stanford.smi.protege.model.Slot slot,
                         Number min)

  Deprecated. not supported in OWL

  Specified by:
    `setMinimumValue` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setValues

    void setValues(edu.stanford.smi.protege.model.Slot slot,
                   Collection values)

  Deprecated. not supported in OWL

  Specified by:
    `setValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setValueType

    void setValueType(edu.stanford.smi.protege.model.Slot slot,
                      edu.stanford.smi.protege.model.ValueType type)

  Deprecated.

  Specified by:
    `setValueType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFProperty.setRange(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getOverriddenTemplateFacets

    Collection getOverriddenTemplateFacets(edu.stanford.smi.protege.model.Cls cls,
                                           edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not supported in OWL

  Specified by:
    `getOverriddenTemplateFacets` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getCurrentUsers

    Collection getCurrentUsers()

  Deprecated. not needed

  Specified by:
    `getCurrentUsers` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### addDirectType

    void addDirectType(edu.stanford.smi.protege.model.Instance instance,
                       edu.stanford.smi.protege.model.Cls directType)

  Deprecated.

  Specified by:
    `addDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeDirectType

    void removeDirectType(edu.stanford.smi.protege.model.Instance instance,
                          edu.stanford.smi.protege.model.Cls directType)

  Deprecated.

  Specified by:
    `removeDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### getCommandManager

    edu.stanford.smi.protege.model.CommandManager getCommandManager()

  Deprecated. not needed

  Specified by:
    `getCommandManager` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setFrameNameValidator

    void setFrameNameValidator(edu.stanford.smi.protege.model.FrameNameValidator validator)

  Deprecated. not needed

  Specified by:
    `setFrameNameValidator` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isValidFrameName

    boolean isValidFrameName(String s,
                             edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Specified by:
    `isValidFrameName` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.isValidResourceName(java.lang.String, edu.stanford.smi.protegex.owl.model.RDFResource)`

### getInvalidFrameNameDescription

    String getInvalidFrameNameDescription(String s,
                                          edu.stanford.smi.protege.model.Frame frame)

  Deprecated. not needed

  Specified by:
    `getInvalidFrameNameDescription` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDirectBrowserSlot

    void setDirectBrowserSlot(edu.stanford.smi.protege.model.Cls cls,
                              edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `setDirectBrowserSlot` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `ProtegeCls.setDirectBrowserSlot(edu.stanford.smi.protege.model.Slot)`

### insertFrameStore

    void insertFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore newFrameStore,
                          int position)

  Deprecated. internal Protege detail

  Specified by:
    `insertFrameStore` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### insertFrameStore

    void insertFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore newFrameStore)

  Deprecated. internal Protege detail

  Specified by:
    `insertFrameStore` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### removeFrameStore

    void removeFrameStore(edu.stanford.smi.protege.model.framestore.FrameStore frameStore)

  Deprecated. internal Protege detail

  Specified by:
    `removeFrameStore` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameStores

    List getFrameStores()

  Deprecated. internal Protege detail

  Specified by:
    `getFrameStores` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### clearAllListeners

    void clearAllListeners()

  Deprecated. whatever this does

  Specified by:
    `clearAllListeners` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameCounts

    edu.stanford.smi.protege.model.FrameCounts getFrameCounts()

  Deprecated. not needed

  Specified by:
    `getFrameCounts` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setDirectBrowserSlotPattern

    void setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.BrowserSlotPattern pattern)

  Deprecated.

  Specified by:
    `setDirectBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `ProtegeCls.setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern)`

### getDirectBrowserSlotPattern

    edu.stanford.smi.protege.model.BrowserSlotPattern getDirectBrowserSlotPattern(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `getDirectBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `ProtegeCls.getDirectBrowserSlotPattern()`

### getDirectOwnSlotValuesClosure

    Set getDirectOwnSlotValuesClosure(edu.stanford.smi.protege.model.Frame frame,
                                      edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getDirectOwnSlotValuesClosure` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### setCallCachingEnabled

    boolean setCallCachingEnabled(boolean enabled)

  Deprecated. not needed

  Specified by:
    `setCallCachingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### isCallCachingEnabled

    boolean isCallCachingEnabled()

  Deprecated. not needed

  Specified by:
    `isCallCachingEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getValueChecking

    boolean getValueChecking()

  Deprecated. not needed

  Specified by:
    `getValueChecking` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### startJournaling

    void startJournaling(URI uri)

  Deprecated. not needed

  Specified by:
    `startJournaling` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### stopJournaling

    void stopJournaling()

  Deprecated. not needed

  Specified by:
    `stopJournaling` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getFrameFactory

    edu.stanford.smi.protege.model.FrameFactory getFrameFactory()

  Deprecated.

  Specified by:
    `getFrameFactory` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.getOWLJavaFactory()`

### setFrameFactory

    void setFrameFactory(edu.stanford.smi.protege.model.FrameFactory factory)

  Deprecated.

  Specified by:
    `setFrameFactory` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `OWLModel.setOWLJavaFactory(edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.